package de.brightbyte.data.filter;

import de.brightbyte.data.Range;

public class RangeFilter<T extends Comparable> implements Filter<T> {
	
	protected Range<T> range;
	
	public RangeFilter(Range<T> range) {
		if (range==null) throw new NullPointerException();
		this.range = range;
	}

	public boolean matches(T obj) {
		return range.contains(obj);
	}

}
