package de.brightbyte.data.filter;

import java.util.Set;

public class StaticSetFilter<T> implements Filter<T> {
	
	protected Set<T> items;
	
	public StaticSetFilter(Set<T> items) {
		if (items==null) throw new NullPointerException();
		this.items = items;
	}

	public boolean matches(T obj) {
		return items.contains(obj);
	}

}
