package de.brightbyte.io;

import java.util.zip.DataFormatException;

import de.brightbyte.data.ByteString;

public interface BlockCodec<T> {
		public ByteString encode(T obj);
		public int encode(T obj, byte[] buffer, int offset);

		public T decode(byte[] data, int offset, int length) throws DataFormatException;
		public T decode(ByteString b) throws DataFormatException;

}
