package de.brightbyte.data;

public interface Range<T extends Comparable> {
	public boolean isEmpty();
	public boolean contains(T value);
	public boolean contains(Range<T> value);
	public boolean overlaps(Range<T> value);
	public Range intersection(Range<T> value);
}
